Skip to end of metadata
Go to start of metadata

In this topic:

Supported Sitecore Versions

This page lists the various Sitecore versions supported by Coveo for Sitecore 4.

Not sure what version of Coveo for Sitecore you are using? See Finding Your Coveo for Sitecore Version.

Sitecore versionUpdateRevisionSitecore Release dateSupported Coveo for Sitecore versionsKnown issues
9.01171219Jan. 8 2018Since April 20184.1.286.9+ 
9.0 171002Oct. 17 2017

Since January 2018

4.1.224.6+ 
Sitecore versionUpdateRevisionSitecore Release dateSupported Coveo for Sitecore versionsKnown issues
8.26171121Dec. 21 2017

Since January 2018

4.1.224.6+

4.0.1639.3+

 
8.25170728Aug. 11 2017

Full support since December 2017

Partial support since September 2017

4.1.82.12+

An issue with Sitecore prevents the Experience Editor to save a page when a legacy UI component field defines rules.

In the September 2017 release:

  • The Sitecore version appears as not officially supported on the diagnostic page.  
  • Coveo for Sitecore 4.1 is not FIPS compatible.

Full support since December 2017

Partial support since July 2017

4.0.1520+

An issue with Sitecore prevents the Experience Editor to save a page when a legacy UI component field defines rules.

In the July 2017 and September 2017 releases:

  • The Sitecore version appears as not officially supported on the diagnostic page.
  • Coveo for Sitecore 4.0 is not FIPS compatible.
8.24170614Jun. 24 2017Since July 2017

4.1.82.12+

4.0.1520+

An issue with Sitecore prevents the Experience Editor to save a page when a legacy UI component field defines rules.
8.23170407Apr. 11 2017Since June 2017

4.1.82.12+

4.0.1461+

An issue with Sitecore prevents the Experience Editor to save a page when a legacy UI component field defines rules.
8.22161221Dec. 29 2016Since January 2017

4.1.82.12+

4.0.895+

An issue with Sitecore prevents the Experience Editor to save a page when a legacy UI component field defines rules.
8.21161115Dec. 5 2016An issue with Sitecore prevents the Experience Editor to save a page when a legacy UI component field defines rules.
8.2 160729Aug. 30 2016Since October 2016

4.1.82.12+

4.0.450 +

An issue with Sitecore prevents the Experience Editor to save a page when a legacy UI component field defines rules.
Sitecore versionUpdateRevisionSitecore Release dateSupported Coveo for Sitecore versionsKnown issues
8.13160519May 19 2016Since June 2016

4.1.82.12+

4.0.222 +

 
8.12160302Mar. 04 2016Since April 2016

4.1.82.12+

4.0.171 +

 
8.11151207Dec. 07 2015An issue with Sitecore prevents the Experience Editor to save a page when a legacy UI component field defines rules.
8.1 151003Oct. 03 2015 
Sitecore versionUpdateRevisionSitecore Release dateSupported Coveo for Sitecore versionsKnown issues
8.07160115Jan. 15 2016Since April 2016

4.1.82.12+

4.0.171 +

An issue with Sitecore prevents the Experience Editor to save a page when a legacy UI component field defines rules.
8.06151127Nov. 27 2015An issue with Sitecore prevents the Experience Editor to save a page when a legacy UI component field defines rules.
8.05150812Aug. 12 2015  
8.04150621Jun. 21 2015  
8.03150427Apr. 27 2015  
8.02150223Feb. 26 2015  
8.01150121Jan. 30 2015  
8.0 141212Dec. 12 2014 
Sitecore versionUpdateRevisionSitecore Release dateSupported Coveo for Sitecore versionsKnown issues
7.52150212Feb. 13 2015Since April 2016

4.1.82.12+

4.0.171 +

 
7.51150130Feb. 5 2015 
7.5 141003Oct. 14 2014 
Sitecore versionUpdateRevisionSitecore Release dateSupported Coveo for Sitecore versionsKnown issues
7.26160123Jan. 23 2016Since April 2016

4.1.82.12+

4.0.171 +

 
7.25151021Oct. 21 2015 
7.24150408Apr. 9 2015 
7.23141226Jan. 8 2015 
7.22140526May 30 2014 
7.21140314Mar. 27 2014 
7.2 140228Mar. 14 2014 

Supported Browsers and Operating Systems

Coveo for Sitecore 4.0 fully supports the same browsers as the JavaScript Search Framework V1 (see Supported Browsers - Coveo JavaScript Search Framework) and the same operating systems as Sitecore itself (see Sitecore Compatibilty Table).

 Other browsers and operating systems may have limited compatibility which will result in unexpected rendering issues of the Coveo search components.

Icon

There are known issues with Internet Explorer 11:

Coveo JavaScript Search Framework v2

Coveo for Sitecore 4.1 is delivered with the second version of Coveo's open source JavaScript Search Framework (see Coveo JavaScript Search Framework - Reference Documentation).

You can learn more about what you can do with the JavaScript Search Framework in the developers documentation (see Getting Started with the JavaScript Search Framework).

Coveo JavaScript Search Framework v1

Coveo for Sitecore 4.0 is delivered with Coveo's open source JavaScript Search Framework v1 (see Coveo JavaScript Search Framework - Reference Documentation).

Refer to your version release notes to know which version of the framework is included in your setup (see Coveo for Sitecore 4.0 - Release Notes).

You can learn more about what you can do with the JavaScript Search Framework in the developers documentation (see Getting Started with the JavaScript Search Framework).